Perform various operations for Symitar parameters.
Operations
getEscrowAnalysis
POST
Retrieve EscrowAnalysis parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/getEscrowAnalysisPOST /nexum/627/2022.01/parameter/getEscrowAnalysis HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getEscrowAnalysisSelectFields
POST
Retrieve EscrowAnalysis parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/getEscrowAnalysisSelectFieldsPOST /nexum/627/2022.01/parameter/getEscrowAnalysisSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"SelectableFields": {
"EscrowAnalysisFields": {
"EscrowOverageMinDollarAmt": true,
"NewPaymentRounding": true,
"PaymentChangeThreshold": true
}
}
}updateEscrowAnalysisByID
POST
Update EscrowAnalysis parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/updateEscrowAnalysisByIDPOST /nexum/627/2022.01/parameter/updateEscrowAnalysisByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"EscrowAnalysisUpdatableFields": {
"Type": 0,
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}